# bdm::diffbifn Class Reference

Class representing a differentiable function of two variables . More...

`#include <functions.h>`

List of all members.

## Public Member Functions
vec | eval (const vec &cond)
| Evaluates (VS: Do we really need common eval? ).
virtual vec | eval (const vec &x0, const vec &u0)
| Evaluates .
virtual void | dfdx_cond (const vec &x0, const vec &u0, mat &A, bool full=true)
| Evaluates and writes result into `A` .
virtual void | dfdu_cond (const vec &x0, const vec &u0, mat &A, bool full=true)
| Evaluates and writes result into `A` .
| diffbifn ()
| Default constructor (dimy is not set!).
int | _dimx () const
| access function
int | _dimu () const
| access function
virtual void | condition (const vec &val)
| function substitutes given value into an appropriate position
int | dimension () const
| access function
virtual string | to_string ()
| This method returns a basic info about the current instance.
virtual void | from_setting (const Setting &set)
| This method arrange instance properties according the data stored in the Setting structure.
virtual void | to_setting (Setting &set) const
| This method save all the instance properties into the Setting structure.
virtual void | validate ()
| This method TODO.
## Protected Attributes
RV | rvx
| Indentifier of the first rv.
RV | rvu
| Indentifier of the second rv.
int | dimx
| cache for rvx.count()
int | dimu
| cache for rvu.count()
int | dimy
| Length of the output vector.

## Detailed Description

Class representing a differentiable function of two variables .

Function of two variables.

TODO: 1) Technically, it could have a common parent (e.g. `fnc` ) with other functions. For now, we keep it as it is. 2) It could be generalized into multivariate form, (which was original meaning of `fnc` ).

## Member Function Documentation

virtual void bdm::diffbifn::dfdu_cond | ( | const vec & | x0,
|  | const vec & | u0,
|  | mat & | A,
|  | bool | full = `true` |
| ) |  |  | `[inline, virtual]`

Evaluates and writes result into `A` .

Parameters:

  | full | denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed.
  | x0 | numeric value of ,
  | u0 | numeric value of
  | A | a place where the result will be stored.

Reimplemented in bdm::bilinfn.

virtual void bdm::diffbifn::dfdx_cond | ( | const vec & | x0,
|  | const vec & | u0,
|  | mat & | A,
|  | bool | full = `true` |
| ) |  |  | `[inline, virtual]`

Evaluates and writes result into `A` .

Parameters:

  | full | denotes that even unchanged entries are to be rewritten. When, false only the changed elements are computed.
  | x0 | numeric value of ,
  | u0 | numeric value of
  | A | a place where the result will be stored.

Reimplemented in bdm::bilinfn.

Referenced by bdm::EKF< sq_T >::bayes(), bdm::EKFCh::bayes(), bdm::EKFfull::bayes(), bdm::EKF< sq_T >::set_parameters(), bdm::EKFCh::set_parameters(), and bdm::EKFfull::set_parameters().

The documentation for this class was generated from the following file:

- functions.h